FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Installation

## Overview

FTXUI can be integrated into your project using several build systems and package managers.
This page serves as an entry point for the available integration methods.

## Supported Methods

- CMake
- Bazel
- Vcpkg
- Conan
- Manual
- Nix
- Debian/Ubuntu
- Arch Linux
- openSUSE
- XMake

## Next Steps

Once FTXUI is installed:

- Getting Started: Write and run your first program
- Examples: See what FTXUI can do
- Modules:
  - DOM
  - Component
  - Screen

## Contributions

If you use another build system or package manager, feel free to contribute a guide.
You can also open a feature request on the GitHub issue tracker.

Previous
Getting Started